## golang-github-thediveo-success 1.0.3

=== Makefile ===
.PHONY: help clean coverage report test

help: ## list available targets
	@# Shamelessly stolen from Gomega's Makefile
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-16s\033[0m %s\n", $$1, $$2}'

clean: ## cleans up build and testing artefacts
	rm -f coverage.*

test: ## run unit tests
	go test -v -p=1 -race ./...

report: ## run goreportcard-cli on this module
# from ghcr.io/thediveo/devcontainer-features/goreportcard
	goreportcard-cli -v ./..

coverage: ## gathers coverage and updates README badge
# from ghcr.io/thediveo/devcontainer-features/gocover
	gocover

=== debian/changelog ===
golang-github-thediveo-success (1.0.3-3) unstable; urgency=medium

  * Improve Description: by siretart

 -- Simon Josefsson <simon@josefsson.org>  Tue, 03 Feb 2026 15:25:15 +0100

golang-github-thediveo-success (1.0.3-2) unstable; urgency=medium

  * Standards-Version: 4.7.3
  * Drop Priority: optional
  * Bump debian/* copyright years
  * Drop newgateway pipeline

 -- Simon Josefsson <simon@josefsson.org>  Thu, 29 Jan 2026 23:32:27 +0100

golang-github-thediveo-success (1.0.3-1) unstable; urgency=medium

  * Initial release (Closes: #1116935)

 -- Simon Josefsson <simon@josefsson.org>  Tue, 30 Sep 2025 20:35:20 +0200

=== debian/control ===
Source: golang-github-thediveo-success
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-onsi-ginkgo-v2-dev,
 golang-gomega-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-thediveo-success
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-thediveo-success.git
Homepage: https://github.com/thediveo/success
XS-Go-Import-Path: github.com/thediveo/success

Package: golang-github-thediveo-success-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-onsi-ginkgo-v2-dev,
 golang-gomega-dev,
 ${misc:Depends},
Description: self check library for wrapping Gomega success (Go library)
 This Go module provides a tiny utility that enhances Go testing by
 integrating Gomega's error detection whenever the Successful()
 function (or variants like Successful2R, Successful3R) is used.
 .
 It allows replacing verbose error checks such as
 Expect(err).NotTo(HaveOccurred()) with a more concise and fluent
 Successful() call, making tests cleaner and more readable.
 .
 This package contains the Go development library.

=== debian/watch ===
Version: 5
Template: Github
Owner: thediveo
Project: success
Uversionmangle: s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/
